ALTER TABLE `m3_menu`  DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;


INSERT INTO `m3_cron` (`id`, `parent_mod`, `job`, `name`, `description`, `day`, `hour`, `status`, `last_ran`, `created`) VALUES(31, 'email', 'send_mass_mail', 'Send Mass Mail', 'This cron job sends mass mail campaigns.', 'Every', 'Every', 'Enabled', 0, 1271636825);

INSERT INTO `m3_cron` (`id`, `parent_mod`, `job`, `name`, `description`, `day`, `hour`, `status`, `last_ran`, `created`) VALUES(32, 'invoices', 'suspend_packages_with_unpaid_invoices', 'Suspend Packages w/ Unpaid Invoices', 'Suspend Packages w/ Unpaid Invoices', 'Every', 'Every', 'Enabled', 0, 1272744318);

ALTER TABLE `m3_invoices` ADD `package_status` ENUM( 'Active', 'Suspended' ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'Active' AFTER `status` ;

INSERT INTO `m3_email_invoice_events` ( `id` , `alias` , `name` , `tags` ) VALUES ( NULL , 'package_suspended', 'Package(s) Suspended for Past Due', 'first_name,order_id,invoice_number,invoice_link,email_signature' );

INSERT INTO `m3_email_invoice_templates` (`id`, `event_alias`, `email_configuration_id`, `is_custom`, `type`, `priority`, `cc`, `bcc`, `subject`, `message`, `created`) VALUES(4, 'package_suspended', 1, 'Yes', 'text', '3', '', '', 'Suspension Notice', 'Hi {first_name},\r\nThis e-mail is to inform you that assets for order #{order_id} have been suspended for non-payment of invoice #{invoice_number}.\r\n\r\nTo correct this issue please pay this invoice:\r\n\r\n{invoice_link}\r\n\r\nPlease contact us if you have questions.\r\n\r\n{email_signature}', 1272755336);

INSERT INTO `m3_cron` (`id`, `parent_mod`, `job`, `name`, `description`, `day`, `hour`, `status`, `last_ran`, `created`) VALUES(33, 'invoices', 'invoice_reminders', 'Send Past Due Invoice Reminders', 'Send Past Due Invoice Reminders', 'Every', 'Every', 'Enabled', 0, 1272761097);

INSERT INTO `m3_email_invoice_templates` (`id`, `event_alias`, `email_configuration_id`, `is_custom`, `type`, `priority`, `cc`, `bcc`, `subject`, `message`, `created`) VALUES(5, 'invoice_reminder', 1, 'Yes', 'text', '3', '', '', 'Invoice Reminder {final_notice}', 'Hi {first_name},\r\nThis e-mail is to remind you that invoice #{invoice_number} was due on {due_date} and has yet to be paid.\r\n\r\nHere is the link to pay your invoice:\r\n\r\n{invoice_link}\r\n\r\nPlease contact us if you have questions.\r\n\r\n{email_signature}', 1272763331);


INSERT INTO `m3_email_invoice_events` (`id` , `alias` , `name` , `tags`) VALUES (3, 'invoice_reminder', 'Invoice Reminder', 'final_notice,first_name,invoice_number,due_date,invoice_link,email_signature');

ALTER TABLE `m3_invoices` ADD `reminder_interval` INT( 11 ) NOT NULL DEFAULT '0' AFTER `package_status` ;


ALTER TABLE `m3_product_price_sheets` ADD `suspend_licenses` ENUM( 'No', 'Yes' ) NOT NULL DEFAULT 'No' AFTER `end_date` ;

ALTER TABLE `m3_customer_areas` ADD `create_customer_account` ENUM( 'No', 'Yes' ) NOT NULL DEFAULT 'No' AFTER `status` ;

ALTER TABLE `m3_users` DROP `email_ok`;

--
-- Table structure for table `m3_mass_mail_campaigns`
--

DROP TABLE IF EXISTS `m3_mass_mail_campaigns`;
CREATE TABLE IF NOT EXISTS `m3_mass_mail_campaigns` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `token` varchar(8) NOT NULL,
  `name` varchar(255) NOT NULL,
  `subject` varchar(255) NOT NULL,
  `message` text NOT NULL,
  `alt_body_message` text NOT NULL,
  `customer_area_id` bigint(22) NOT NULL,
  `transport_id` bigint(22) NOT NULL,
  `rules` enum('Every','Unique') NOT NULL default 'Every',
  `send` enum('Now','Per Schedule','Periodic Schedule') NOT NULL,
  `per_schedule` int(11) NOT NULL COMMENT 'next cron run after m/d/Y h:i',
  `per_schedule_time` varchar(4) NOT NULL,
  `periodic_schedule` int(11) NOT NULL COMMENT 'in days - ex. 30 for 30 days',
  `periodic_schedule_time` varchar(4) NOT NULL,
  `max_per_hour` bigint(22) NOT NULL COMMENT '0 for no limit',
  `status` enum('Active','Paused','Queued','Complete') NOT NULL default 'Active',
  `last_run` int(11) NOT NULL,
  `last_run_queued` int(11) NOT NULL,
  `created` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

--
-- Table structure for table `m3_mass_mail_campaigns_jlists`
--

DROP TABLE IF EXISTS `m3_mass_mail_campaigns_jlists`;
CREATE TABLE IF NOT EXISTS `m3_mass_mail_campaigns_jlists` (
  `campaign_id` bigint(22) NOT NULL,
  `list_id` bigint(22) NOT NULL,
  KEY `campaign_id` (`campaign_id`,`list_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `m3_mass_mail_lists`
--

DROP TABLE IF EXISTS `m3_mass_mail_lists`;
CREATE TABLE IF NOT EXISTS `m3_mass_mail_lists` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `product_specific` enum('Only','Any') NOT NULL default 'Any' COMMENT 'Only -> The customer must own only products assigned to this list. Any -> The customer must own at least one product that is assigned to this list.',
  `customer_type` enum('All Customers','Enabled','Disabled') NOT NULL default 'Enabled',
  `user_type` enum('All Users','Enabled','Disabled') NOT NULL default 'Enabled',
  `ignore_opt_out` enum('No','Yes') NOT NULL default 'No',
  `created` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

--
-- Table structure for table `m3_mass_mail_list_jproduct_sku`
--

DROP TABLE IF EXISTS `m3_mass_mail_list_jproduct_sku`;
CREATE TABLE IF NOT EXISTS `m3_mass_mail_list_jproduct_sku` (
  `list_id` bigint(22) NOT NULL,
  `sku_id` bigint(22) NOT NULL,
  KEY `list_id` (`list_id`,`sku_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


-- --------------------------------------------------------

--
-- Table structure for table `m3_mass_mail_logs`
--

DROP TABLE IF EXISTS `m3_mass_mail_logs`;
CREATE TABLE IF NOT EXISTS `m3_mass_mail_logs` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `customer_area_id` bigint(22) NOT NULL,
  `customer_id` bigint(22) NOT NULL,
  `user_id` bigint(22) NOT NULL,
  `campaign_id` bigint(22) NOT NULL,
  `list_id` bigint(22) NOT NULL,
  `first_name` varchar(255) NOT NULL,
  `last_name` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `status` enum('Active','Complete') NOT NULL default 'Active',
  `created` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

DROP TABLE IF EXISTS `m3_mass_mail_opt_out`;
CREATE TABLE IF NOT EXISTS `m3_mass_mail_opt_out` (
  `user_id` bigint(22) NOT NULL,
  `created` int(11) NOT NULL,
  KEY `user_id` (`user_id`,`created`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;









-- --------------------------------------------------------

--
-- Table structure for table `m3_menu`
--

DROP TABLE IF EXISTS `m3_menu`;
CREATE TABLE IF NOT EXISTS `m3_menu` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `parent_id` bigint(22) NOT NULL,
  `dna` varchar(32) character set latin1 NOT NULL,
  `name` varchar(255) NOT NULL,
  `mod` varchar(255) NOT NULL,
  `task` varchar(255) NOT NULL,
  `show_tab` varchar(255) character set latin1 NOT NULL,
  `type` enum('L1','L2','L3') NOT NULL COMMENT 'Type -> L == Level',
  `display_order` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `name` (`name`),
  KEY `mod` (`mod`),
  KEY `task` (`task`),
  KEY `display_order` (`display_order`),
  KEY `parent` (`parent_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=277 ;

--
-- Dumping data for table `m3_menu`
--

INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(1, 0, 'cf60ce1fde3e2e292bca0b40dd2ca302', 'Customers', 'customers', 'customer_edit', 'manage_existing', 'L1', 1);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(2, 0, '4256ede8efd9489292c65cd94ff4c30d', 'Billing', 'invoices', 'invoice_editor', 'manage_existing', 'L1', 2);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(5, 1, 'cf60ce1fde3e2e292bca0b40dd2ca302', 'Customers', 'toggle', 'none', 'none', 'L2', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(54, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', 'View Customers', 'customers', 'customer_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(7, 2, '4256ede8efd9489292c65cd94ff4c30d', 'Billing', 'toggle', 'none', 'none', 'L2', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(56, 7, '4256ede8efd9489292c65cd94ff4c30d', 'View Orders', 'orders', 'order_editor', 'manage_existing', 'L3', 2);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(57, 7, '4256ede8efd9489292c65cd94ff4c30d', 'View Invoices', 'invoices', 'invoice_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(58, 7, '4256ede8efd9489292c65cd94ff4c30d', 'Add a New Invoice', 'invoices', 'invoice_editor', 'add_new', 'L3', 1);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(102, 78, 'fec6dae649befb22b456bc30835731c3', 'Customer Areas', 'customer_areas', 'customer_area_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(103, 78, 'fec6dae649befb22b456bc30835731c3', 'Order Forms', 'order_forms', 'order_form_edit', 'general', 'L3', 1);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(104, 78, 'fec6dae649befb22b456bc30835731c3', 'Currency', 'currency', 'currency_editor', 'manage_existing', 'L3', 7);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(105, 78, 'fec6dae649befb22b456bc30835731c3', 'Pay Gateways', 'pay_gateways', 'pay_gateway_editor', 'manage_existing', 'L3', 6);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(106, 78, 'fec6dae649befb22b456bc30835731c3', 'Taxes', 'taxes', 'tax_editor', 'manage_existing', 'L3', 8);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(107, 78, 'fec6dae649befb22b456bc30835731c3', 'Agreements &amp; TOS', 'agreements', 'agreement_editor', 'manage_existing', 'L3', 10);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(108, 78, 'fec6dae649befb22b456bc30835731c3', 'Products', 'products', 'product_editor', 'manage_existing', 'L3', 3);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(109, 78, 'fec6dae649befb22b456bc30835731c3', 'Promotions', 'promotions', 'editor', 'manage_existing', 'L3', 4);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(157, 78, 'fec6dae649befb22b456bc30835731c3', '.Assign Agreement to an Order Form', 'agreements', 'agreement_edit', 'assign_to_order_form', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(156, 78, 'fec6dae649befb22b456bc30835731c3', '.Edit an Agreement', 'agreements', 'agreement_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(155, 78, 'fec6dae649befb22b456bc30835731c3', '.Add a New Agreement', 'agreements', 'agreement_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(154, 78, 'fec6dae649befb22b456bc30835731c3', '.Assign Tax Rule to a Region', 'taxes', 'tax_edit', 'assign_to_region', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(147, 78, 'fec6dae649befb22b456bc30835731c3', '.Pay Gateway General Setttings', 'pay_gateways', 'pay_gateway_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(146, 78, 'fec6dae649befb22b456bc30835731c3', '.Add a New Pay Gateway', 'pay_gateways', 'pay_gateway_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(142, 78, 'fec6dae649befb22b456bc30835731c3', '.All Order Forms', 'order_forms', 'order_form_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(143, 78, 'fec6dae649befb22b456bc30835731c3', '.Order Form Advanced Menu', 'order_forms', 'order_form_edit', 'advanced', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(144, 78, 'fec6dae649befb22b456bc30835731c3', '.Customer Area Advanced Settings', 'customer_areas', 'customer_area_edit', 'advanced', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(145, 78, 'fec6dae649befb22b456bc30835731c3', '.Add a New Currency', 'currency', 'currency_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(135, 78, 'fec6dae649befb22b456bc30835731c3', '.Customer Area Announcments', 'customer_areas', 'customer_area_edit', 'announcements', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(123, 81, 'fec6dae649befb22b456bc30835731c3', '.Add New Scheduled Job', 'cron', 'cron_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(98, 80, 'fec6dae649befb22b456bc30835731c3', 'Templates', 'email', 'templates', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(99, 80, 'fec6dae649befb22b456bc30835731c3', 'Sent E-mail Logs', 'email', 'logs', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(100, 79, 'fec6dae649befb22b456bc30835731c3', 'License Methods', 'license_methods', 'method_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(101, 79, 'fec6dae649befb22b456bc30835731c3', 'License Servers', 'license_servers', 'server_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(12, 11, 'fec6dae649befb22b456bc30835731c3', 'Articles', 'kb', 'article_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(55, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', 'Add New Customer', 'customers', 'customer_editor', 'add_new', 'L3', 1);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(185, 79, 'fec6dae649befb22b456bc30835731c3', '.Add a New Licensing Server', 'License_servers', 'server_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(97, 80, 'fec6dae649befb22b456bc30835731c3', 'Transport Settings', 'email', 'settings', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(11, 76, 'fec6dae649befb22b456bc30835731c3', 'KB', 'toggle', 'none', 'none', 'L2', 4);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(118, 74, '49b5cfe46cc2ce02fcdf52d154d95390', 'Main Menu', 'toggle', 'none', 'none', 'L2', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(230, 7, '4256ede8efd9489292c65cd94ff4c30d', '.Order General Details', 'orders', 'order_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(74, 0, '49b5cfe46cc2ce02fcdf52d154d95390', 'Home', 'dashboard', 'index', '', 'L1', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(117, 81, 'fec6dae649befb22b456bc30835731c3', '.Admin Edit General Info', 'admin', 'admin_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(214, 11, 'fec6dae649befb22b456bc30835731c3', '.Add a New KB Profile', 'kb', 'profile_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(119, 118, '49b5cfe46cc2ce02fcdf52d154d95390', 'Dashboard', 'dashboard', 'index', '', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(120, 118, '49b5cfe46cc2ce02fcdf52d154d95390', 'Search', 'search', 'index', 'billing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(121, 118, '49b5cfe46cc2ce02fcdf52d154d95390', 'Getting Started', 'getting_started', 'with_spbas', '', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(122, 118, '49b5cfe46cc2ce02fcdf52d154d95390', 'Contact Support', 'help', 'support', '', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(134, 78, 'fec6dae649befb22b456bc30835731c3', '.Add a New Customer Area', 'customer_areas', 'customer_area_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(131, 81, 'fec6dae649befb22b456bc30835731c3', '.Edit 3rd Party', '3rd_party', 'edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(133, 81, 'fec6dae649befb22b456bc30835731c3', '.Add Localization', 'developer', 'lang_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(190, 79, 'fec6dae649befb22b456bc30835731c3', '.Licensing Types', 'license_methods', 'method_edit', 'types', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(189, 79, 'fec6dae649befb22b456bc30835731c3', '.Edit a Licensing Method', 'license_methods', 'method_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(187, 79, 'fec6dae649befb22b456bc30835731c3', '.Add a New Licensing Method', 'license_methods', 'method_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(76, 0, 'fec6dae649befb22b456bc30835731c3', 'Settings', 'customer_areas', 'customer_area_edit', 'general', 'L1', 4);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(48, 11, 'fec6dae649befb22b456bc30835731c3', 'Categories', 'kb', 'category_editor', 'manage_existing', 'L3', 1);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(49, 11, 'fec6dae649befb22b456bc30835731c3', 'Glossary', 'kb', 'glossary_editor', 'manage_existing', 'L3', 3);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(50, 11, 'fec6dae649befb22b456bc30835731c3', 'Sites', 'kb', 'profile_edit', 'general', 'L3', 4);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(80, 76, 'fec6dae649befb22b456bc30835731c3', 'E-mail', 'toggle', 'none', 'none', 'L2', 6);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(81, 76, 'fec6dae649befb22b456bc30835731c3', 'Application', 'toggle', 'none', 'none', 'L2', 1);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(150, 78, 'fec6dae649befb22b456bc30835731c3', '.Global Pay Gateway Logs', 'pay_gateways', 'pay_gateway_editor', 'logs', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(79, 76, 'fec6dae649befb22b456bc30835731c3', 'Licensing', 'toggle', 'none', 'none', 'L2', 2);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(77, 76, 'fec6dae649befb22b456bc30835731c3', 'CMS', 'toggle', 'none', 'none', 'L2', 5);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(112, 77, 'fec6dae649befb22b456bc30835731c3', 'Sites', 'cms', 'site_editor', 'manage_existing', 'L3', 1);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(78, 76, 'fec6dae649befb22b456bc30835731c3', 'Storefront &amp; Products', 'toggle', 'none', 'none', 'L2', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(148, 78, 'fec6dae649befb22b456bc30835731c3', '.Pay Gateway Logs', 'pay_gateways', 'pay_gateway_edit', 'logs', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(149, 78, 'fec6dae649befb22b456bc30835731c3', '.Assign a Pay Gateway to Order Form', 'pay_gateways', 'pay_gateway_edit', 'assign', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(151, 78, 'fec6dae649befb22b456bc30835731c3', '.Edit a Tax Rule', 'taxes', 'tax_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(152, 78, 'fec6dae649befb22b456bc30835731c3', '.Assign Tax Rule to a Product', 'taxes', 'tax_edit', 'assign_to_product', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(153, 78, 'fec6dae649befb22b456bc30835731c3', '.Assign Tax Rule to a Country', 'taxes', 'tax_edit', 'assign_to_country', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(184, 77, 'fec6dae649befb22b456bc30835731c3', '.Set Page Order for a Site', 'cms', 'site_edit', 'page_order', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(183, 77, 'fec6dae649befb22b456bc30835731c3', '.Edit Site Settings', 'cms', 'site_edit', 'settings', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(182, 77, 'fec6dae649befb22b456bc30835731c3', '.Edit a Site', 'cms', 'site_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(181, 77, 'fec6dae649befb22b456bc30835731c3', '.Assign a Page to a Site', 'cms', 'page_edit', 'assign', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(180, 77, 'fec6dae649befb22b456bc30835731c3', '.Page Meta Settings', 'cms', 'page_edit', 'settings', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(179, 77, 'fec6dae649befb22b456bc30835731c3', '.Page Edit General Settings', 'cms', 'page_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(178, 77, 'fec6dae649befb22b456bc30835731c3', '.Add a New Page', 'cms', 'page_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(177, 77, 'fec6dae649befb22b456bc30835731c3', '.Add a New Site', 'cms', 'site_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(176, 82, 'fec6dae649befb22b456bc30835731c3', '.Assign Download Cotnrol as an Asset', 'download_control', 'control_edit', 'assign_asset', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(175, 82, 'fec6dae649befb22b456bc30835731c3', '.Download Control Edit General Settings', 'download_control', 'control_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(174, 82, 'fec6dae649befb22b456bc30835731c3', '.Add a New Download Control', 'download_control', 'control_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(173, 82, 'fec6dae649befb22b456bc30835731c3', '.Assign Media to the Set', 'media', 'set_editor', 'assign_media', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(172, 82, 'fec6dae649befb22b456bc30835731c3', '.Assign Media Set as an Asset', 'media', 'set_editor', 'assign_asset', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(171, 82, 'fec6dae649befb22b456bc30835731c3', '.Media Set Edit General', 'media', 'set_editor', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(170, 78, 'fec6dae649befb22b456bc30835731c3', '.Price Sheet Edit Pricing', 'price_sheets', 'price_sheet_edit', 'pricing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(169, 78, 'fec6dae649befb22b456bc30835731c3', '.Edit Price Sheet General Settings', 'price_sheets', 'price_sheet_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(168, 78, 'fec6dae649befb22b456bc30835731c3', '.Add a New Price Sheet', 'price_sheets', 'price_sheet_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(167, 78, 'fec6dae649befb22b456bc30835731c3', '.Assign a Promotion to a Product', 'promotions', 'edit', 'assign_promotion', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(166, 78, 'fec6dae649befb22b456bc30835731c3', '.Edit Promotion General Details', 'promotions', 'edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(165, 78, 'fec6dae649befb22b456bc30835731c3', '.Add a New Promotion', 'promotions', 'editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(164, 78, 'fec6dae649befb22b456bc30835731c3', '.Product Assigned E-mail Templates', 'products', 'product_edit', 'email', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(163, 78, 'fec6dae649befb22b456bc30835731c3', '.Assign Products to an Order System', 'products', 'product_edit', 'assign', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(162, 78, 'fec6dae649befb22b456bc30835731c3', '.Product Addons', 'products', 'product_edit', 'addons', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(161, 78, 'fec6dae649befb22b456bc30835731c3', '.Product Assets', 'products', 'product_edit', 'assets', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(160, 78, 'fec6dae649befb22b456bc30835731c3', '.Product Price Tiers', 'products', 'product_edit', 'tiers', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(159, 78, 'fec6dae649befb22b456bc30835731c3', '.Product General Settings', 'products', 'product_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(158, 78, 'fec6dae649befb22b456bc30835731c3', '.Add a New Product', 'products', 'product_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(141, 78, 'fec6dae649befb22b456bc30835731c3', '.Add a New Order Form', 'order_forms', 'order_form_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(140, 78, 'fec6dae649befb22b456bc30835731c3', '.Order Form Categories', 'order_forms', 'order_form_edit', 'categories', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(139, 78, 'fec6dae649befb22b456bc30835731c3', '.Order Form Pricing', 'order_forms', 'order_form_edit', 'pricing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(138, 78, 'fec6dae649befb22b456bc30835731c3', '.View All Customer Areas', 'customer_areas', 'customer_area_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(137, 78, 'fec6dae649befb22b456bc30835731c3', '.Customer Area Security Downloads', 'customer_areas', 'customer_area_edit', 'downloads', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(136, 78, 'fec6dae649befb22b456bc30835731c3', '.Customer Area Security Questions', 'customer_areas', 'customer_area_edit', 'validation', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(47, 11, 'fec6dae649befb22b456bc30835731c3', 'Attachments', 'kb', 'attachment_editor', 'manage_existing', 'L3', 2);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(82, 76, 'fec6dae649befb22b456bc30835731c3', 'Media', 'toggle', 'none', 'none', 'L2', 3);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(110, 78, 'fec6dae649befb22b456bc30835731c3', 'Price Sheets', 'price_sheets', 'price_sheet_editor', 'manage_existing', 'L3', 5);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(111, 77, 'fec6dae649befb22b456bc30835731c3', 'Pages', 'cms', 'page_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(219, 80, 'fec6dae649befb22b456bc30835731c3', '.Add a New E-mail Configuration', 'email', 'settings', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(96, 81, 'fec6dae649befb22b456bc30835731c3', 'Scheduler', 'cron', 'cron_editor', 'manage_existing', 'L3', 3);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(91, 81, 'fec6dae649befb22b456bc30835731c3', 'Localization', 'developer', 'lang_editor', 'manage_existing', 'L3', 2);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(92, 81, 'fec6dae649befb22b456bc30835731c3', 'Menu Editor', 'developer', 'menu_editor', 'menu_editor', 'L3', 5);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(85, 82, 'fec6dae649befb22b456bc30835731c3', 'Downloads', 'media', 'downloads', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(86, 82, 'fec6dae649befb22b456bc30835731c3', 'Media Sets', 'media', 'sets', 'general', 'L3', 2);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(87, 82, 'fec6dae649befb22b456bc30835731c3', 'Download Controls', 'download_control', 'control_editor', 'manage_existing', 'L3', 1);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(88, 81, 'fec6dae649befb22b456bc30835731c3', 'System', 'settings', 'system', 'edit', 'L3', 1);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(89, 81, 'fec6dae649befb22b456bc30835731c3', 'Administrators', 'admin', 'admin_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(132, 78, 'fec6dae649befb22b456bc30835731c3', 'Billing &amp; Invoice Settings', 'settings', 'billing_invoice', 'settings', 'L3', 2);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(130, 81, 'fec6dae649befb22b456bc30835731c3', '.Admin Access Logs', 'admin', 'admin_edit', 'log', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(129, 81, 'fec6dae649befb22b456bc30835731c3', '.Admin Edit ACL', 'admin', 'admin_edit', 'acl', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(128, 81, 'fec6dae649befb22b456bc30835731c3', '.Admin Edit Profile', 'admin', 'admin_edit', 'profile', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(127, 81, 'fec6dae649befb22b456bc30835731c3', '.Add a New Admin', 'admin', 'admin_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(126, 81, 'fec6dae649befb22b456bc30835731c3', '.Export Localization', 'developer', 'lang_editor', 'export', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(201, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Merge Customers', 'customers', 'customer_editor', 'merge', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(125, 81, 'fec6dae649befb22b456bc30835731c3', '.Import Localization', 'developer', 'lang_editor', 'import', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(124, 81, 'fec6dae649befb22b456bc30835731c3', '.Add New 3rd Party Module', '3rd_party', 'editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(94, 81, 'fec6dae649befb22b456bc30835731c3', '3rd Party', '3rd_party', 'editor', 'manage_existing', 'L3', 4);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(93, 81, 'fec6dae649befb22b456bc30835731c3', 'Import', 'import', 'import_editor', 'import', 'L3', 7);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(210, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', 'Search &amp; Stats', 'customers', 'dashboard', '', 'L3', 2);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(95, 81, 'fec6dae649befb22b456bc30835731c3', 'Regions', 'settings', 'regions', 'regions', 'L3', 6);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(212, 7, '4256ede8efd9489292c65cd94ff4c30d', 'Search &amp; Stats', 'billing', 'dashboard', '', 'L3', 3);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(186, 79, 'fec6dae649befb22b456bc30835731c3', '.Edit a Licensing Server', 'license_servers', 'server_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(191, 11, 'fec6dae649befb22b456bc30835731c3', '.Add a New Article', 'kb', 'article_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(192, 11, 'fec6dae649befb22b456bc30835731c3', '.Edit an Article', 'kb', 'article_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(193, 11, 'fec6dae649befb22b456bc30835731c3', '.Article Attributes', 'kb', 'article_edit', 'attributes', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(194, 11, 'fec6dae649befb22b456bc30835731c3', '.Assign Article to Categories', 'kb', 'article_edit', 'categories', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(195, 11, 'fec6dae649befb22b456bc30835731c3', '.Assign Attachments to an Article', 'kb', 'article_edit', 'attachments', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(196, 11, 'fec6dae649befb22b456bc30835731c3', '.Assign Related Articles', 'kb', 'article_edit', 'related', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(197, 11, 'fec6dae649befb22b456bc30835731c3', '.Add a New Attachment', 'kb', 'attachment_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(198, 11, 'fec6dae649befb22b456bc30835731c3', '.Edit Category Details', 'kb', 'category_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(199, 11, 'fec6dae649befb22b456bc30835731c3', '.Add a New Glossary Entry', 'kb', 'glossary_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(200, 11, 'fec6dae649befb22b456bc30835731c3', '.Edit a Glossary Entry', 'kb', 'glossary_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(215, 11, 'fec6dae649befb22b456bc30835731c3', '.KB Site Settings', 'kb', 'profile_edit', 'settings', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(216, 11, 'fec6dae649befb22b456bc30835731c3', '.KB Site Categories', 'kb', 'profile_edit', 'categories', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(217, 11, 'fec6dae649befb22b456bc30835731c3', '.KB Site Advanced', 'kb', 'profile_edit', 'advanced', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(218, 11, 'fec6dae649befb22b456bc30835731c3', '.Add a New Tax Rule', 'taxes', 'tax_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(220, 80, 'fec6dae649befb22b456bc30835731c3', '.Edit E-mail Configuration', 'email', 'settings_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(221, 118, '49b5cfe46cc2ce02fcdf52d154d95390', '.Search Billing', 'search', 'index', 'billing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(222, 118, '49b5cfe46cc2ce02fcdf52d154d95390', '.Search Customers', 'search', 'index', 'customers', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(223, 118, '49b5cfe46cc2ce02fcdf52d154d95390', '.Search Users', 'search', 'index', 'users', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(224, 118, '49b5cfe46cc2ce02fcdf52d154d95390', '.Search Products', 'search', 'index', 'products', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(225, 118, '49b5cfe46cc2ce02fcdf52d154d95390', '.Search Licensing', 'search', 'index', 'licensing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(226, 7, '4256ede8efd9489292c65cd94ff4c30d', '.Invoice Details', 'invoices', 'invoice_edit', 'details', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(227, 7, '4256ede8efd9489292c65cd94ff4c30d', '.Invoice Parts', 'invoices', 'invoice_edit', 'parts', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(228, 7, '4256ede8efd9489292c65cd94ff4c30d', '.Invoice Payments', 'invoices', 'invoice_edit', 'payments', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(229, 7, '4256ede8efd9489292c65cd94ff4c30d', '.Invoice Credits', 'invoices', 'invoice_edit', 'credits', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(231, 7, '4256ede8efd9489292c65cd94ff4c30d', '.Order Parts', 'orders', 'order_edit', 'parts', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(232, 79, 'fec6dae649befb22b456bc30835731c3', 'Licenses Issued', 'license', 'license_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(233, 79, 'fec6dae649befb22b456bc30835731c3', '.Add a New License', 'license', 'license_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(234, 79, 'fec6dae649befb22b456bc30835731c3', 'License Logs', 'license', 'logs', 'view', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(235, 79, 'fec6dae649befb22b456bc30835731c3', '.Edit License General Information', 'license', 'license_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(236, 79, 'fec6dae649befb22b456bc30835731c3', '.Edit Licensing Information', 'license', 'license_edit', 'licensing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(237, 79, 'fec6dae649befb22b456bc30835731c3', '.Licensing Instances', 'license', 'license_edit', 'instances', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(238, 79, 'fec6dae649befb22b456bc30835731c3', '.License Access Logs', 'license', 'license_edit', 'log', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(239, 80, 'fec6dae649befb22b456bc30835731c3', '.Add a New E-mail Template', 'email', 'templates', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(240, 80, 'fec6dae649befb22b456bc30835731c3', '.Exclude E-mail Templates', 'email', 'templates', 'exclude', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(241, 80, 'fec6dae649befb22b456bc30835731c3', '.Assign E-mail Templates', 'email', 'templates', 'assign', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(242, 80, 'fec6dae649befb22b456bc30835731c3', '.Edit an E-mail template', 'email', 'template_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(243, 80, 'fec6dae649befb22b456bc30835731c3', '.E-mail Template Advanced Settings', 'email', 'template_edit', 'advanced', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(244, 80, 'fec6dae649befb22b456bc30835731c3', '.E-mail Excludes', 'email', 'template_edit', 'exclude', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(245, 80, 'fec6dae649befb22b456bc30835731c3', '.E-mail Assign', 'email', 'template_edit', 'assign', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(246, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Manage Users', 'users', 'user_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(247, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Add a New User', 'users', 'user_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(248, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Edit User Details', 'users', 'user_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(249, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.User Logs', 'users', 'user_edit', 'log', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(250, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Customer Summary', 'customers', 'customer_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(251, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Manage Customer Credits', 'customers', 'customer_edit', 'credits', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(252, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Customer Invoices', 'customers', 'customer_edit', 'invoices', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(253, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Edit Customer Pricing', 'customers', 'customer_edit', 'pricing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(254, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Customer Assets', 'customers', 'customer_edit', 'assets', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(255, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Customer Packages', 'customers', 'customer_edit', 'packages', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(256, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Authorized Users for Customer', 'customers', 'customer_edit', 'existing_users', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(257, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Customer Addresses', 'customers', 'customer_edit', 'addresses', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(258, 78, 'fec6dae649befb22b456bc30835731c3', 'Support Packages', 'support_package', 'package_editor', 'manage_existing', 'L3', 9);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(259, 78, 'fec6dae649befb22b456bc30835731c3', '.Add a New Support Package', 'support_package', 'package_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(260, 78, 'fec6dae649befb22b456bc30835731c3', '.Support Package Details', 'support_package', 'package_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(261, 78, 'fec6dae649befb22b456bc30835731c3', '.Assign a Support Package', 'support_package', 'package_edit', 'assign_asset', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(262, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Customer Orders', 'customers', 'customer_edit', 'orders', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(263, 80, 'fec6dae649befb22b456bc30835731c3', 'Mass Mail Lists', 'email', 'list_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(264, 80, 'fec6dae649befb22b456bc30835731c3', '.Add a New Mass Mail List', 'email', 'list_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(265, 80, 'fec6dae649befb22b456bc30835731c3', 'Mass Mail Campaigns', 'email', 'campaign_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(266, 80, 'fec6dae649befb22b456bc30835731c3', '.Add a New Mass Mail Campaign', 'email', 'campaign_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(267, 80, 'fec6dae649befb22b456bc30835731c3', '.Mass Mail List General Settings', 'email', 'list_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(268, 80, 'fec6dae649befb22b456bc30835731c3', '.Mass Mail Filter by Products', 'email', 'list_edit', 'filter_by_products', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(269, 80, 'fec6dae649befb22b456bc30835731c3', '.Mass Mail Sent Logs', 'email', 'list_edit', 'log', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(270, 78, 'fec6dae649befb22b456bc30835731c3', '.Assign a Renewal Product', 'products', 'product_edit', 'renewals', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(271, 80, 'fec6dae649befb22b456bc30835731c3', '.Mass Mail Copy', 'email', 'campaign_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(272, 80, 'fec6dae649befb22b456bc30835731c3', '.Mass Mail Assign to List', 'email', 'campaign_edit', 'assign_lists', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(273, 80, 'fec6dae649befb22b456bc30835731c3', '.Mass Mail Advanced', 'email', 'campaign_edit', 'advanced', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(274, 80, 'fec6dae649befb22b456bc30835731c3', '.Mass Mail Stats', 'email', 'campaign_edit', 'stats', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(275, 78, 'fec6dae649befb22b456bc30835731c3', '.Price Sheet Advanced Options', 'price_sheets', 'price_sheet_edit', 'advanced', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(276, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', 'Send Mass Mail', 'email', 'campaign_editor', 'manage_existing', 'L3', 3);
