<?PHP @template::ran_directly(); /* required for all templates */ 


/**
* Runs just before a user is deleted
* 
* @param array $module
* @param integer $user_id
* @return boolean 
*/
function Joomla_admin_before_user_delete($module, $user_id)
	{
	return Joomla_delete_user($module, $user_id);
	}

/**
* Runs just before a user is deleted from the helpdesk
* 
* @param array $module
* @param integer $user_id
* @return boolean 
*/
function Joomla_helpdesk_before_user_delete($module, $user_id)
	{
	return Joomla_delete_user($module, $user_id);
	}

/**
* Delete a user
* 
* @param array $module Module specific data.
* @param integer $user_id
* @return boolean
*/
function Joomla_delete_user($module, $user_id)
	{
	$user=user::get('', $user_id);
	if (!$user) { return array('display' => ''); }

	// connect to the Joomla database
	$joomla_conf=array();
	$joomla_conf['host']=$module['attributes']['joomla_db_host'];
	$joomla_conf['name']=$module['attributes']['joomla_db_name'];
	$joomla_conf['user']=$module['attributes']['joomla_db_user'];
	$joomla_conf['pass']=$module['attributes']['joomla_db_password'];
	mod::database($joomla_conf);


	// v1.6 remove the lookup too
	if (joomla_version($module)=='v1.6')
		{
		// Get the user information
		$user=mysql_fetch_assoc(mysql_query("select id from {$module['attributes']['joomla_db_prefix']}users where email='{$user['email']}' or username='{$user['username']}'"));

		mysql_query("delete from {$module['attributes']['joomla_db_prefix']}user_usergroup_map where user_id='".$user['id']."'");
		}

	// remove the member
	mysql_query("delete from {$module['attributes']['joomla_db_prefix']}users where email='{$user['email']}' or username='{$user['username']}'");

	// reconnect to the SPBAS DB
	mod::database($GLOBALS['conf']);

	return array('display' => '');
	}

/**
* Runs when the user logs in at checkout in the order system (?task=checkout)
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $status enabled or disabled
* @param string $password
* @return array $third_party available to order/compiler/checkout.php & order/templates/default/checkout.php
*/
function Joomla_order_form_resend_password($module, $buffer, $user_id, $first_name, $last_name, $email, $username, $status, $password)
	{
	return Joomla_do_update($module, $email, $username, $password);
	}

/**
* Runs when the user logs in at checkout in the order system (?task=checkout)
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $status enabled or disabled
* @param string $password
* @return array $third_party available to customers/compiler/login.php & customers/templates/default/login.php
*/
function Joomla_customer_area_resend_password($module, $buffer, $user_id, $first_name, $last_name, $email, $username, $status, $password)
	{
	return Joomla_do_update($module, $email, $username, $password);
	}

/**
* Runs when the user changes there password from the customer area (?task=my_account&tab=change_password).
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $status enabled or disabled
* @param string $password
* @return array $third_party available to customers/compiler/my_account.php & customers/templates/default/my_account.php
*/
function Joomla_customer_area_change_password($module, $buffer, $user_id, $first_name, $last_name, $email, $username, $status, $password)
	{
	return Joomla_do_update($module, $email, $username, $password);
	}

/**
* Runs when the user updates their information from the customer area (?task=my_account&tab=my_info).
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param integer $customer_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $password
* @param string $hashed_password md5('plain text password')
* @return array $third_party available to customers/compiler/my_account.php & customers/templates/default/my_account.php
*/
function Joomla_customer_area_update_my_info($module, $buffer, $user_id, $customer_id, $first_name, $last_name, $email, $username, $password, $hashed_password)
	{
	return Joomla_do_update($module, $email, $username, $password=false);
	}

/**
* Runs when user information is updated at checkout in the order system (?task=checkout).
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param integer $customer_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $password
* @param string $hashed_password md5('plain text password')
* @return array $third_party available to order/compiler/checkout.php & order/templates/default/checkout.php
*/
function Joomla_order_form_update_user($module, $buffer, $user_id, $customer_id, $first_name, $last_name, $email, $username, $password, $hashed_password)
	{
	return Joomla_do_update($module, $email, $username, $password);
	}

/**
* Runs when user information is updated by the logged in customer (?task=my_account)
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param integer $customer_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $status enabled or disabled
* @param string $password
* @param string $hashed_password md5('plain text password')
* @return array $third_party available to customers/compiler/my_account.php & customers/templates/default/my_account.php
*/
function Joomla_customer_area_update_user($module, $buffer, $user_id, $customer_id, $first_name, $last_name, $email, $username, $status, $password, $hashed_password)
	{
	return Joomla_do_update($module, $email, $username, $password);
	}

/**
* Runs when the admin updates user information from the admin area.
* 
* @param array $module Module specific data.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $status enabled or disabled
* @param string $password
* @param string $hashed_password md5('plain text password')
* @return boolean
*/
function Joomla_admin_update_user($module, $user_id, $first_name, $last_name, $email, $username, $status, $password, $hashed_password)
	{
	return Joomla_do_update($module, $email, $username, $password);
	}

/**
* Register a new user in the Joomla database
* 
* @param array $module
* @param string $email
* @param string $username
* @param string $password
* @return array
*/
function Joomla_do_update($module, $email, $username, $password)
	{
	// connect to the Joomla database
	$joomla_conf=array();
	$joomla_conf['host']=$module['attributes']['joomla_db_host'];
	$joomla_conf['name']=$module['attributes']['joomla_db_name'];
	$joomla_conf['user']=$module['attributes']['joomla_db_user'];
	$joomla_conf['pass']=$module['attributes']['joomla_db_password'];
	mod::database($joomla_conf);

	// is the member already registered in Joomla? If not, register them now.
	$is_registered=mysql_fetch_assoc(mysql_query("select id from {$module['attributes']['joomla_db_prefix']}users where email='{$email}' or username='{$username}'"));
	if (!$is_registered['id']) 
		{ 
		return Joomla_do_register($module, $email, $username, $password);
		}

	// Yes! Let's update their information
	$salt=md5(mt_rand(1, 500));
	$hashed_password=md5($password.$salt).":{$salt}";
	$use_password=($password)?", password='{$hashed_password}'":'';
	mysql_query("update {$module['attributes']['joomla_db_prefix']}users set username='{$username}'{$use_password}, email='{$email}' where id='{$is_registered['id']}'");


	// reconnect to the SPBAS DB
	mod::database($GLOBALS['conf']);

	return array('display' => '');
	}



// REGISTRATIONS
// -------------------------------------------------------------------------------

/**
* Runs when a new user is registered from the customer area (?task=register).
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $password
* @param integer $customer_id Only populated when Admin -> Settings -> Storefront & Products, Customer Areas -> Advanced -> Create Custoemr Account w/ Registration == Yes
* @return array $third_party available to customers/compiler/register.php & customers/templates/default/register.php
*/
function Joomla_customer_area_new_user_registered($module, $buffer, $user_id, $first_name, $last_name, $email, $username, $password, $customer_id=0)
	{
	return Joomla_do_register($module, $email, $username, $password);
	}


/**
* Runs when a new user is registered from the admin area.
* 
* @param array $module Module specific data.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $password
* @return boolean
*/
function Joomla_admin_new_user_registered($module, $user_id, $first_name, $last_name, $email, $username, $password)
	{
	return Joomla_do_register($module, $email, $username, $password);
	}

/**
* Runs when a new user is registered from the order system.
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param integer $customer_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $password
* @return array $third_party available to order/compiler/checkout.php & order/templates/default/checkout.php
*/
function Joomla_order_form_new_user_registered($module, $buffer, $user_id, $customer_id, $first_name, $last_name, $email, $username, $password)
	{
	return Joomla_do_register($module, $email, $username, $password);
	}

/**
* Runs when a new user is registered from a support ticket import via cron
* 
* @param array $module Module specific data.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $password
* @return array 
*/
function Joomla_helpdesk_import_new_user_registered($module, $user_id, $first_name, $last_name, $email, $username, $password)
	{
	return Joomla_do_register($module, $email, $username, $password);
	}

/**
* Runs when a new user is registered from a support ticket import via cron
* 
* @param array $module Module specific data.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $password
* @return array 
*/
function Joomla_helpdesk_create_new_ticket_new_user_registered($module, $user_id, $first_name, $last_name, $email, $username, $password)
	{
	return Joomla_do_register($module, $email, $username, $password);
	}

/**
* Runs just after a package has been added
* 
* @param array $module
* @param integer $package_id
* @return boolean 
*/
function Joomla_after_package_creation($module, $package_id)
	{
	$package=package::get_package($package_id);
	$users=customer::get_users($package['customer_id']);

	// connect to the Joomla database
	$joomla_conf=array();
	$joomla_conf['host']=$module['attributes']['joomla_db_host'];
	$joomla_conf['name']=$module['attributes']['joomla_db_name'];
	$joomla_conf['user']=$module['attributes']['joomla_db_user'];
	$joomla_conf['pass']=$module['attributes']['joomla_db_password'];
	mod::database($joomla_conf);

	// do the ACL!
	if ($module['attributes'][$package['sku_id']])
		{
		foreach ((array)$users as $user)
			{
			$juser=mysql_fetch_assoc(mysql_query("select * from {$module['attributes']['joomla_db_prefix']}users where email='{$user['email']}'"));
			if (!$juser) { continue; }

			$count=mysql_fetch_assoc(mysql_query("select count(*) as total from {$module['attributes']['joomla_db_prefix']}user_usergroup_map where user_id='{$juser['id']}' and group_id='{$module['attributes'][$package['sku_id']]}'"));
			if ($count['total']>0) { continue; }

			mysql_query("insert into {$module['attributes']['joomla_db_prefix']}user_usergroup_map set user_id='{$juser['id']}', group_id='{$module['attributes'][$package['sku_id']]}'");
			}
		}

	mod::database($GLOBALS['conf']);

	return true;
	}


/**
* Register a new user in the Joomla database
* 
* @param array $module
* @param string $email
* @param string $username
* @param string $password
* @return array
*/
function Joomla_do_register($module, $email, $username, $password)
	{
	// connect to the Joomla database
	$joomla_conf=array();
	$joomla_conf['host']=$module['attributes']['joomla_db_host'];
	$joomla_conf['name']=$module['attributes']['joomla_db_name'];
	$joomla_conf['user']=$module['attributes']['joomla_db_user'];
	$joomla_conf['pass']=$module['attributes']['joomla_db_password'];
	mod::database($joomla_conf);

	// is the member already registered in Joomla?
	$is_registered=mysql_fetch_assoc(mysql_query("select id from {$module['attributes']['joomla_db_prefix']}users where email='{$email}' or username='{$username}'"));
	if ($is_registered['id']) { return array('display' => ''); }

	// add the user to Joomla!
	switch ($module['attributes']['joomla_version']) 
		{
		case "v16":

			$jos_group=mysql_fetch_assoc(mysql_query("select title from {$module['attributes']['joomla_db_prefix']}usergroups where id='{$module['attributes']['joomla_default_group_id']}'"));

			// nope, let's register the member now
			$salt=md5(mt_rand(1, 500));
			$hashed_password=md5($password.$salt).":{$salt}";
			mysql_query("insert into {$module['attributes']['joomla_db_prefix']}users set username='{$username}', lastvisitDate=NOW(), name='{$username}', usertype='{$jos_group['title']}', password='{$hashed_password}', email='{$email}', registerDate=NOW()");

			$user_id=mysql_insert_id();

			$count=mysql_fetch_assoc(mysql_query("select count(*) as total from {$module['attributes']['joomla_db_prefix']}user_usergroup_map where user_id='{$user_id}' and group_id='{$module['attributes']['joomla_default_group_id']}'"));
			if ($count['total']<=0) 
				{
				mysql_query("insert into {$module['attributes']['joomla_db_prefix']}user_usergroup_map set user_id='{$user_id}', group_id='{$module['attributes']['joomla_default_group_id']}'");
				}
		break;
		case "v15":
			$jos_group=mysql_fetch_assoc(mysql_query("select name from {$module['attributes']['joomla_db_prefix']}groups where id='{$module['attributes']['joomla_default_group_id']}'"));

			// nope, let's register the member now
			$salt=md5(mt_rand(1, 500));
			$hashed_password=md5($password.$salt).":{$salt}";
			mysql_query("insert into {$module['attributes']['joomla_db_prefix']}users set username='{$username}', lastvisitDate=NOW(), name='{$username}', usertype='{$jos_group['name']}', password='{$hashed_password}', email='{$email}', registerDate=NOW(), gid='{$module['attributes']['joomla_default_group_id']}'");
		break;
		}

	// reconnect to the SPBAS DB
	mod::database($GLOBALS['conf']);

	return array('display' => '');
	}

/**
* Using the newer Joomla users table or not?
* 
* @param array $module
* @param string $email
* @param string $username
* @param string $password
* @return string
*/
function joomla_version($module)
	{
	$version='1.6';
	$query=mysql_query("describe {$module['attributes']['joomla_db_prefix']}users");
	while ($rs=mysql_fetch_assoc($query))
		{
		if ($rs['Field']=='gid')
			{
			$version='1.5';
			break;
			}
		}

	return $version;
	}
?>