<?PHP @template::ran_directly(); /* required for all templates */ 

/**
* Runs just before a user is deleted
* 
* @param array $module
* @param integer $user_id
* @return boolean 
*/
function WordPress_admin_before_user_delete($module, $user_id)
	{
	return WordPress_delete_user($module, $user_id);
	}

/**
* Runs just before a user is deleted from the helpdesk
* 
* @param array $module
* @param integer $user_id
* @return boolean 
*/
function WordPress_helpdesk_before_user_delete($module, $user_id)
	{
	return WordPress_delete_user($module, $user_id);
	}

/**
* Delete a user
* 
* @param array $module Module specific data.
* @param integer $user_id
* @return boolean
*/
function WordPress_delete_user($module, $user_id)
	{
	$user=user::get('', $user_id);
	if (!$user) { return array('display' => ''); }

	// connect to the WordPress database
	$wp_conf=array();
	$wp_conf['host']=$module['attributes']['wp_db_host'];
	$wp_conf['name']=$module['attributes']['wp_db_name'];
	$wp_conf['user']=$module['attributes']['wp_db_user'];
	$wp_conf['pass']=$module['attributes']['wp_db_password'];
	mod::database($wp_conf);

	// delete the user
	mysql_query("delete from {$module['attributes']['wp_db_prefix']}users where user_email='{$user['email']}'");

	// reconnect to the SPBAS DB
	mod::database($GLOBALS['conf']);

	return array('display' => '');
	}

/**
* Runs when the user logs in at checkout in the order system (?task=checkout)
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $status enabled or disabled
* @param string $password
* @return array $third_party available to order/compiler/checkout.php & order/templates/default/checkout.php
*/
function WordPress_order_form_resend_password($module, $buffer, $user_id, $first_name, $last_name, $email, $username, $status, $password)
	{
	return WordPress_do_update($module, $email, $username, $password);
	}

/**
* Runs when the user logs in at checkout in the order system (?task=checkout)
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $status enabled or disabled
* @param string $password
* @return array $third_party available to customers/compiler/login.php & customers/templates/default/login.php
*/
function WordPress_customer_area_resend_password($module, $buffer, $user_id, $first_name, $last_name, $email, $username, $status, $password)
	{
	return WordPress_do_update($module, $email, $username, $password);
	}

/**
* Runs when the user changes there password from the customer area (?task=my_account&tab=change_password).
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $status enabled or disabled
* @param string $password
* @return array $third_party available to customers/compiler/my_account.php & customers/templates/default/my_account.php
*/
function WordPress_customer_area_change_password($module, $buffer, $user_id, $first_name, $last_name, $email, $username, $status, $password)
	{
	return WordPress_do_update($module, $email, $username, $password);
	}

/**
* Runs when the user updates their information from the customer area (?task=my_account&tab=my_info).
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param integer $customer_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $password
* @param string $hashed_password md5('plain text password')
* @return array $third_party available to customers/compiler/my_account.php & customers/templates/default/my_account.php
*/
function WordPress_customer_area_update_my_info($module, $buffer, $user_id, $customer_id, $first_name, $last_name, $email, $username, $password, $hashed_password)
	{
	return WordPress_do_update($module, $email, $username, $password);
	}

/**
* Runs when user information is updated at checkout in the order system (?task=checkout).
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param integer $customer_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $password
* @param string $hashed_password md5('plain text password')
* @return array $third_party available to order/compiler/checkout.php & order/templates/default/checkout.php
*/
function WordPress_order_form_update_user($module, $buffer, $user_id, $customer_id, $first_name, $last_name, $email, $username, $password, $hashed_password)
	{
	return WordPress_do_update($module, $email, $username, $password);
	}

/**
* Runs when user information is updated by the logged in customer (?task=my_account)
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param integer $customer_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $status enabled or disabled
* @param string $password
* @param string $hashed_password md5('plain text password')
* @return array $third_party available to customers/compiler/my_account.php & customers/templates/default/my_account.php
*/
function WordPress_customer_area_update_user($module, $buffer, $user_id, $customer_id, $first_name, $last_name, $email, $username, $status, $password, $hashed_password)
	{
	return WordPress_do_update($module, $email, $username, $password);
	}

/**
* Runs when the admin updates user information from the admin area.
* 
* @param array $module Module specific data.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $status enabled or disabled
* @param string $password
* @param string $hashed_password md5('plain text password')
* @return boolean
*/
function WordPress_admin_update_user($module, $user_id, $first_name, $last_name, $email, $username, $status, $password, $hashed_password)
	{
	return WordPress_do_update($module, $email, $username, $password);
	}

/**
* Register a new user in the WordPress database
* 
* @param array $module
* @param string $email
* @param string $username
* @param string $password
* @return array
*/
function WordPress_do_update($module, $email, $username, $password)
	{
	// connect to the WordPress database
	$wp_conf=array();
	$wp_conf['host']=$module['attributes']['wp_db_host'];
	$wp_conf['name']=$module['attributes']['wp_db_name'];
	$wp_conf['user']=$module['attributes']['wp_db_user'];
	$wp_conf['pass']=$module['attributes']['wp_db_password'];
	mod::database($wp_conf);

	// is the member already registered in WordPress? If not, register them now.
	$is_registered=mysql_fetch_assoc(mysql_query("select id from {$module['attributes']['wp_db_prefix']}users where user_email='{$email}' or user_login='{$username}'"));
	if (!$is_registered['id']) 
		{ 
		return WordPress_do_register($module, $first_name, $last_name, $email, $username, $password);
		}

	// Yes! Let's update their information
	include_once 'class-phpass.php';
	$wp_hasher = new PasswordHash(8, TRUE);
	$password=$wp_hasher->HashPassword($password);
	mysql_query("update {$module['attributes']['wp_db_prefix']}users set user_login='{$username}', user_pass='{$password}', user_email='{$email}' where id='{$is_registered['id']}'");

	// start the session
	$expiration=0;
	$key=wp_hash_hmac('md5', $username.substr($password, 8, 4)."|{$expiration}", "{$module['attributes']['wp_auth_key']}{$module['attributes']['wp_auth_salt']}");
	$hash=wp_hash_hmac('md5', "{$username}|{$expiration}", $key);
	$cookie="{$username}|{$expiration}|{$hash}";

	$cookies=array('wordpress_logged_in_'.md5($module['attributes']['siteurl']) => $cookie);

	// reconnect to the SPBAS DB
	mod::database($GLOBALS['conf']);

	return array('display' => '', 'cookie' => base64_encode(serialize($cookies)), 'session' => base64_encode(serialize($_SESSION)));
	}

// REGISTRATIONS
// -------------------------------------------------------------------------------

/**
* Runs when a new user is registered from the customer area (?task=register).
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $password
* @param integer $customer_id Only populated when Admin -> Settings -> Storefront & Products, Customer Areas -> Advanced -> Create Custoemr Account w/ Registration == Yes
* @return array $third_party available to customers/compiler/register.php & customers/templates/default/register.php
*/
function WordPress_customer_area_new_user_registered($module, $buffer, $user_id, $first_name, $last_name, $email, $username, $password, $customer_id=0)
	{
	return WordPress_do_register($module, $first_name, $last_name, $email, $username, $password);
	}


/**
* Runs when a new user is registered from the admin area.
* 
* @param array $module Module specific data.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $password
* @return boolean
*/
function WordPress_admin_new_user_registered($module, $user_id, $first_name, $last_name, $email, $username, $password)
	{
	return WordPress_do_register($module, $first_name, $last_name, $email, $username, $password);
	}

/**
* Runs when a new user is registered from the order system.
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param integer $customer_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $password
* @return array $third_party available to order/compiler/checkout.php & order/templates/default/checkout.php
*/
function WordPress_order_form_new_user_registered($module, $buffer, $user_id, $customer_id, $first_name, $last_name, $email, $username, $password)
	{
	return WordPress_do_register($module, $first_name, $last_name, $email, $username, $password);
	}

/**
* Runs when a new user is registered from a support ticket import via cron
* 
* @param array $module Module specific data.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $password
* @return array 
*/
function WordPress_helpdesk_import_new_user_registered($module, $user_id, $first_name, $last_name, $email, $username, $password)
	{
	return WordPress_do_register($module, $first_name, $last_name, $email, $username, $password);
	}

/**
* Runs when a new user is registered from a support ticket import via cron
* 
* @param array $module Module specific data.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $password
* @return array 
*/
function WordPress_helpdesk_create_new_ticket_new_user_registered($module, $user_id, $first_name, $last_name, $email, $username, $password)
	{
	return WordPress_do_register($module, $first_name, $last_name, $email, $username, $password);
	}

/**
* Register a new user in the WordPress database
* 
* @param array $module
* @param string $email
* @param string $username
* @param string $password
* @return array
*/
function WordPress_do_register($module, $first_name, $last_name, $email, $username, $password)
	{
	// connect to the WordPress database
	$wp_conf=array();
	$wp_conf['host']=$module['attributes']['wp_db_host'];
	$wp_conf['name']=$module['attributes']['wp_db_name'];
	$wp_conf['user']=$module['attributes']['wp_db_user'];
	$wp_conf['pass']=$module['attributes']['wp_db_password'];
	mod::database($wp_conf);

	// is the member already registered in WordPress?
	$is_registered=mysql_fetch_assoc(mysql_query("select id from {$module['attributes']['wp_db_prefix']}users where user_email='{$email}' or user_login='{$username}'"));
	if ($is_registered['id']) { return array('display' => ''); }
 
	// nope, let's register the member now
	include_once 'class-phpass.php';
	$wp_hasher = new PasswordHash(8, TRUE);
	$password=$wp_hasher->HashPassword($password);
	mysql_query("insert into {$module['attributes']['wp_db_prefix']}users set user_login='{$username}', user_pass='{$password}', user_nicename='{$username}', user_email='{$email}', user_registered ='".date('Y-m-d H:i:s')."', display_name='{$username}'");

	$user_id=mysql_insert_id();

	mysql_query("insert into wp_usermeta set user_id='{$user_id}', meta_key='first_name', meta_value='{$first_name}'");
	mysql_query("insert into wp_usermeta set user_id='{$user_id}', meta_key='last_name', meta_value='{$last_name}'");
	mysql_query("insert into wp_usermeta set user_id='{$user_id}', meta_key='nickname', meta_value='{$username}'");
	mysql_query("insert into wp_usermeta set user_id='{$user_id}', meta_key='rich_editing', meta_value='true'");
	mysql_query("insert into wp_usermeta set user_id='{$user_id}', meta_key='use_ssl', meta_value='0'");
	mysql_query("insert into wp_usermeta set user_id='{$user_id}', meta_key='wp_capabilities', meta_value='a:1:{s:10:\"subscriber\";s:1:\"1\";}'");
	mysql_query("insert into wp_usermeta set user_id='{$user_id}', meta_key='wp_user_level', meta_value='0'");
	mysql_query("insert into wp_usermeta set user_id='{$user_id}', meta_key='default_password_nag', meta_value='1'");

	// start the session
	$expiration=0;
	$key=wp_hash_hmac('md5', $username.substr($password, 8, 4)."|{$expiration}", "{$module['attributes']['wp_auth_key']}{$module['attributes']['wp_auth_salt']}");
	$hash=wp_hash_hmac('md5', "{$username}|{$expiration}", $key);
	$cookie="{$username}|{$expiration}|{$hash}";

	$cookies=array('wordpress_logged_in_'.md5($module['attributes']['siteurl']) => $cookie);

	// reconnect to the SPBAS DB
	mod::database($GLOBALS['conf']);

	return array('display' => '', 'cookie' => base64_encode(serialize($cookies)), 'session' => base64_encode(serialize($_SESSION)));
	}
?>