<?php
# Integration code created on: {created}
# iono Licensing Integration (per page - curl) - http://www.spbas.com

# **************************************************************************
# User details must be added in here. This would usually be done in another
# file. See documentation for help and examples.

$license_key = 'USER LICENSE KEY'; // License's key
# *************************************************************************

# You do not need to edit any of the following code

// Error texts
$error_text['disabled'] = '<p><strong>License Error:</strong> Your license is disabled. Please contact your software vendor for support.</p>';
$error_text['suspended'] = '<p><strong>License Error:</strong> Your license has been suspended. Please contact your software vendor for support.</p>';
$error_text['expired'] = '<p><strong>License Error:</strong> Your license has expired. Please contact your software vendor for support.</p>';
$error_text['invalid_user'] = '<p><strong>License Error:</strong> Invalid license key. Please contact your software vendor for support.</p>';
$error_text['invalid_code'] = '<p><strong>License Error:</strong> Invalid license status code. Please contact your software vendor for support.</p>';
$error_text['invalid_hash'] = '<p><strong>License Error:</strong> Invalid communication hash. Please contact your software vendor for support.</p>';
$error_text['wrong_product'] = '<p><strong>License Error:</strong> The license key you provided is not for this product. Please contact your software vendor for support.</p>';

// Home call details
$home_url_site = '{data_home_url_site}';
$home_url_port = 80;
$home_url_iono = '{data_home_url_iono}';
$user_defined_string = '{data_user_defined_string}';

// Execution options
$comm_terminate = {data_comm_terminate};
$license_terminate = {data_license_terminate};
$product_license_id = 0;

// Check that the $license_key provided is for this product
if (!empty($product_license_id))
{
	$key_parts = explode('-', $license_key);
	$product_id = array(substr(md5($product_license_id), 0, 8));
	
	if (!in_array($key_parts[4], $product_id))
	{
		echo $error_text['wrong_product'];
		($license_terminate) ? exit : NULL;
	}
}

// Build request
$request = 'remote=licenses&type=1&license_key='.urlencode(base64_encode($license_key));
$request .= '&host_ip='.urlencode(base64_encode($_SERVER['SERVER_ADDR'])).'&host_name='.urlencode(base64_encode($_SERVER['SERVER_NAME']));
$request .= '&hash='.urlencode(base64_encode(md5($request)));

$request = $home_url_site.$home_url_iono.'?'.$request;

// New cURL resource
$ch = curl_init();

// Set options
curl_setopt($ch, CURLOPT_URL, $request);
curl_setopt($ch, CURLOPT_PORT, $home_url_port);
curl_setopt($ch, CURLOPT_HEADER, false);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_USERAGENT, 'iono (www.olate.co.uk/iono)');

// Execute
$content = curl_exec($ch);

// Close
curl_close($ch);

if (!$content)
{
	($comm_terminate) ? exit : NULL;
}

// Split up the content
$content = explode('-', $content);
$status = $content[0];
$hash = $content[1];

if ($hash == md5($user_defined_string.$_SERVER['SERVER_NAME']))
{
	switch ($status)
	{
		case 0: // Disabled
			echo $error_text['disabled'];
			unset($home_url_site, $home_url_iono, $user_defined_string, $request, $header, $return, $fpointer, $content, $status, $hash);
			($license_terminate) ? exit : NULL;
			break;
		case 1: // Ok
			break;
		case 2: // Suspended
			echo $error_text['suspended'];
			unset($home_url_site, $home_url_iono, $user_defined_string, $request, $header, $return, $fpointer, $content, $status, $hash);
			($license_terminate) ? exit : NULL;
			break;
		case 3: // Expired
			echo $error_text['expired'];
			unset($home_url_site, $home_url_iono, $user_defined_string, $request, $header, $return, $fpointer, $content, $status, $hash);
			($license_terminate) ? exit : NULL;
			break;
		case 10: // Invalid user ID or license key
			echo $error_text['invalid_user'];
			unset($home_url_site, $home_url_iono, $user_defined_string, $request, $header, $return, $fpointer, $content, $status, $hash);
			($license_terminate) ? exit : NULL;
			break;
		default: // Invalid status code
			echo $error_text['invalid_code'];
			unset($home_url_site, $home_url_iono, $user_defined_string, $request, $header, $return, $fpointer, $content, $status, $hash);
			($license_terminate) ? exit : NULL;
			break;
	}
}
else
{
	echo $error_text['invalid_hash'];
	unset($home_url_site, $home_url_iono, $user_defined_string, $request, $header, $return, $fpointer, $content, $status, $hash);
	($license_terminate) ? exit : NULL;
}

// Clean up variables for security
unset($home_url_site, $home_url_iono, $user_defined_string, $request, $header, $return, $fpointer, $content, $status, $hash);
?>